* {
  box-sizing: border-box;
  margin: 0px;
}

body {
  font-family: "Kanit", sans-serif;
  background-color: #000000;
}

.calculadora {
  position: relative;
  display: flex;
  flex-wrap: wrap;
  width: 400px;
  min-width: 300px;
  height: 500px;
  margin: 20px auto;
  border-radius: 2%;
  background-color: #2c2c2c;
  box-shadow: -1px -1px 5px 3px #1a191999, 2px 2px 5px 3px #1f1f1f99;
}

.display {
  position: relative;
  width: 100%;
  height: 80px;
  background-color: #83def599;
  margin: 15px 15px 0 15px;
  border: 1px solid #686868;
  box-shadow: 2px 2px 4px 2px #313131 inset;
}
.display__result {
  position: absolute;
  bottom: 0;
  right: 0;
  margin-right: 10px;
  font-size: 2.5rem;
  font-weight: 300;
  color: #333333;
}
.display__operation {
  position: absolute;
  right: 0;
  margin-right: 10px;
  font-size: 1.3rem;
  font-weight: 300;
  color: #000000;
}

.container__button {
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  grid-template-rows: repeat(7, 1fr);
  width: 100%;
  height: 75%;
  margin: 15px;
  object-fit: fill;
  padding: 10px;
  background-color: #252525;
  user-select: none;
  z-index: 2;
}
.container__button .buttons__memory {
  display: grid;
  gap: 5px;
  margin: 8px;
  grid-template-columns: repeat(5, 1fr) 0.5fr;
  grid-column: 1/span 5;
  background-color: transparent;
}
.container__button .buttons__memory .memory__button {
  position: relative;
  border-radius: 6px;
  background-color: #0f0f0f;
  color: #F5F5F5;
  font-weight: 100;
  text-align: center;
  padding-top: 4px;
  margin: 1px;
  border: none;
  cursor: pointer;
  font-size: 1rem;
  box-shadow: -1px -1px 2px 1px #46464665, 2px 2px 2px 1px #00000065, -2px -2px 3px 1px #11111165 inset, 0px 0px 3px 1px #97979765 inset;
}
.container__button .buttons__memory .memory__button:active {
  box-shadow: -1px -1px 2px 1px #46464665, 2px 2px 2px 1px #00000065, -2px -2px 3px 1px #85858565 inset, 2px 2px 3px 1px #11111165 inset;
  font-size: 0.99rem;
}
.container__button .buttons__memory .memory__button:disabled {
  box-shadow: -1px -1px 2px 1px #46464665, 2px 2px 2px 1px #00000065, -2px -2px 3px 1px #11111165 inset, 0px 0px 3px 1px #97979765 inset;
  opacity: 0.5;
  cursor: auto;
}
.container__button .buttons__memory .memory__button:hover {
  filter: brightness(140%);
}
.container__button .buttons__memory .memory__button:hover::before {
  position: absolute;
  width: 80px;
  height: 30px;
  top: -30px;
  left: 50px;
  font-size: 0.75rem;
  font-weight: 100;
  color: #020202;
  background-color: lightgoldenrodyellow;
}
.container__button .buttons__memory .memory__button:nth-child(1):hover::before {
  content: "Borrar toda la Memoria";
}
.container__button .buttons__memory .memory__button:nth-child(2):hover::before {
  content: "Recuperar la Memoria";
}
.container__button .buttons__memory .memory__button:nth-child(3):hover::before {
  content: "Sumar a la Memoria";
}
.container__button .buttons__memory .memory__button:nth-child(4):hover::before {
  content: "Restar a la Memoria";
}
.container__button .buttons__memory .memory__button:nth-child(5):hover::before {
  content: "Almacenar Memoria";
}
.container__button .buttons__memory .memory__button--list {
  position: relative;
  width: 70%;
  height: 93%;
  margin-left: 10px;
  margin-top: 2px;
  color: whitesmoke;
  font-size: 0.6rem;
  border: none;
  background-color: #0f0f0f;
  cursor: pointer;
  box-shadow: -1px -1px 2px 1px #46464665, 2px 2px 2px 1px #00000065, -2px -2px 3px 1px #11111165 inset, 0px 0px 3px 1px #97979765 inset;
}
.container__button .buttons__memory .memory__button--list:active {
  box-shadow: -1px -1px 2px 1px #46464665, 2px 2px 2px 1px #00000065, -2px -2px 3px 1px #85858565 inset, 2px 2px 3px 1px #11111165 inset;
  font-size: 0.6rem;
}
.container__button .buttons__memory .memory__button--list:hover::before {
  content: "Mostrar Lista de Memoria";
  position: absolute;
  width: 80px;
  height: 30px;
  top: -30px;
  left: 20px;
  font-size: 0.75rem;
  font-weight: 100;
  color: #020202;
  background-color: lightgoldenrodyellow;
}

.listmemory {
  position: absolute;
  top: 127px;
  right: -200px;
  width: 200px;
  height: 300px;
  border-radius: 0 5px 5px 0;
  background-color: #313131;
  box-shadow: 1px 1px 3px 2px #1b1b1b inset;
  scroll-behavior: smooth;
  overflow-y: scroll;
  overflow-x: hidden;
  transform: translateX(-200px);
  transition: transform 0.65s linear;
  z-index: 0;
}
.listmemory::-webkit-scrollbar {
  width: 8px;
}
.listmemory::-webkit-scrollbar-track {
  background: linear-gradient(145deg, #9e9e9e, #686767);
  border-radius: 4px;
}
.listmemory::-webkit-scrollbar-thumb {
  background: #252525;
  border-radius: 4px;
}
.listmemory::-webkit-scrollbar-thumb:hover {
  background: #535353;
}
.listmemory div {
  position: relative;
  width: 92%;
  height: 26px;
  font-weight: 100;
  border-radius: 3px;
  padding: 0px;
  padding-left: 10px;
  margin-top: 5px;
  margin-left: 7px;
  box-shadow: 1px 1px 4px 1px #313131 inset, -1px -1px 3px 1px #020202;
  background: linear-gradient(-45deg, #1a1a1a, #161616);
  color: whitesmoke;
  border: 0px solid black;
  cursor: pointer;
}
.listmemory div:hover {
  background: linear-gradient(-45deg, #1a1a1a, #161616);
  box-shadow: 1px 1px 4px 1px #020202 inset, -1px -1px 3px 1px #313131;
}
.listmemory div p {
  user-select: none;
  pointer-events: none;
}
.listmemory div button {
  position: absolute;
  width: 15px;
  height: 15px;
  right: 2px;
  top: 5px;
  border: none;
  background-color: transparent;
  background-image: url("../images/delete.svg");
}
.listmemory div button:hover {
  cursor: pointer;
  filter: invert(1);
}

.button {
  background-color: #4d4d4d;
  margin: 4px;
  border-radius: 5px;
  font-size: 1.4rem;
  text-align: center;
  padding-top: 4px;
  color: #F5F5F5;
  font-weight: 200;
  cursor: pointer;
  transition: box-shadow 0.05s linear;
  box-shadow: -1px -1px 2px 1px #46464665, 2px 2px 2px 1px #00000065, -2px -2px 3px 1px #11111165 inset, 0px 0px 3px 1px #97979765 inset;
}
.button:nth-child(2) {
  grid-column: 1/2;
}
.button:nth-child(3) {
  grid-column: 2/3;
}
.button:nth-child(4) {
  grid-column: 3/4;
}
.button:nth-child(5) {
  grid-column: 4/5;
}
.button:nth-child(6) {
  grid-column: 1/2;
}
.button:nth-child(7) {
  grid-column: 2/3;
}
.button:nth-child(8) {
  grid-column: 3/4;
}
.button:nth-child(9) {
  grid-column: 4/5;
}
.button:nth-child(10) {
  grid-column: 1/2;
}
.button:nth-child(11) {
  grid-column: 2/3;
}
.button:nth-child(12) {
  grid-column: 3/4;
}
.button:nth-child(13) {
  grid-column: 4/5;
}
.button:nth-child(14) {
  grid-column: 1/2;
}
.button:nth-child(15) {
  grid-column: 2/3;
}
.button:nth-child(16) {
  grid-column: 3/4;
}
.button:nth-child(17) {
  grid-column: 4/5;
}
.button:nth-child(18) {
  grid-column: 1/2;
}
.button:nth-child(19) {
  grid-column: 2/3;
}
.button:nth-child(20) {
  grid-column: 3/4;
}
.button:nth-child(21) {
  grid-column: 4/5;
}
.button:nth-child(22) {
  grid-column: 1/2;
}
.button:nth-child(23) {
  grid-column: 2/3;
}
.button:nth-child(24) {
  grid-column: 3/4;
}
.button:nth-child(25) {
  grid-column: 4/5;
}
.button:active {
  box-shadow: -1px -1px 2px 1px #46464665, 2px 2px 2px 1px #00000065, -2px -2px 3px 1px #85858565 inset, 2px 2px 3px 1px #11111165 inset;
  font-size: 1.35rem;
}
.button:hover {
  filter: brightness(140%);
}

.button--operator {
  padding-top: 0px;
  font-size: 1.7rem;
  background-color: #1f1e1e;
}
.button--operator:active {
  font-size: 1.65rem;
}

.button--operation {
  padding-top: 8px;
  font-size: 1rem;
  background-color: #1f1e1e;
}
.button--operation:active {
  font-size: 0.95rem;
}

.button--equal {
  padding-top: 0px;
  font-size: 1.7rem;
  background-color: #ac7809;
}
.button--equal:active {
  font-size: 1.65rem;
}

.button--backspace {
  padding-top: 0px;
  font-size: 1.7rem;
  background-image: url("../images/backspace.svg");
  background-repeat: no-repeat;
  background-position: center;
  background-size: 21%;
}
.button--backspace:active {
  background-size: 20%;
}